###############
# Device Detector - The Universal Device Detection library for parsing User Agents
#
# @link http://piwik.org
# @license http://www.gnu.org/licenses/lgpl.html LGPL v3 or later
###############

- regex: 'Banshee(?:[ /]([\d\.]+))?'
  name: 'Banshee'
  version: '$1'

- regex: 'Clementine(?:[ /]([\d\.]+))?'
  name: 'Clementine'
  version: '$1'

- regex: 'iTunes(?:/([\d\.]+))?'
  name: 'iTunes'
  version: '$1'

- regex: 'FlyCast(?:/([\d\.]+))?'
  name: 'FlyCast'
  version: '$1'

- regex: 'MediaMonkey(?:[ /](\d+[\.\d]+))?'
  name: 'MediaMonkey'
  version: '$1'

- regex: 'Miro(?:/(\d+[\.\d]+))?'
  name: 'Miro'
  version: '$1'

- regex: 'NexPlayer(?:/(\d+[\.\d]+))?'
  name: 'NexPlayer'
  version: '$1'

- regex: 'Nightingale(?:/([\d\.]+))?'
  name: 'Nightingale'
  version: '$1'

- regex: 'QuickTime(?:(?:(?:.+qtver=)|(?:(?: E-)?[\./]))([\d\.]+))?'
  name: 'QuickTime'
  version: '$1'

- regex: 'Songbird(?:/([\d\.]+))?'
  name: 'Songbird'
  version: '$1'

- regex: 'SubStream(?:/([\d\.]+))?'
  name: 'SubStream'
  version: '$1'

- regex: 'VLC(?:/([\d\.]+))?'
  name: 'VLC'
  version: '$1'

- regex: 'Winamp(?:MPEG)?(?:/(\d+[\.\d]+))?'
  name: 'Winamp'
  version: '$1'

- regex: 'Windows-Media-Player(?:/(\d+[\.\d]+))?'
  name: 'Windows Media Player'
  version: '$1'

- regex: 'XBMC(?:/([\d\.]+))?'
  name: 'XBMC'
  version: '$1'

- regex: 'stagefright(?:/([\d\.]+))?'
  name: 'Stagefright'
  version: '$1'